<?php
   	 require("../clases/Usuario.class.php");
	 require("../clases/Beneficiario.class.php");
	     $Objusu = new Usuario();	
		  $objp = new Beneficiario();	
         $accion=$_REQUEST['txtpara'];		
	 ////////////////////////////////// 		
     if($accion=="R")
	   {    			
				$numdoc=$_REQUEST['idbeneficiario']; ///trae el numdoc				
				$vusuario=strtoupper($_REQUEST['usuario']);
				$vclave=$_REQUEST['clave'];
				$vtipo=$_REQUEST['tipo'];
				$estado=$_REQUEST['estado'];
		 if($objp->BuscarPorDocumento($numdoc))
			{   
			   $idb=$objp->getId();					
			  if($Objusu->Crear($idb,$vusuario,md5($vclave),$vtipo,$estado))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='../manusuario.php';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
			}else{
			       echo "<script languaje=javascript>\n"; 
	 				echo "alert('ESTA PERSONA NO EXISTE EN LA BASE DE DATOS, PRIMERO DEBE REGISTRARLO');location.href ='../manusuario.php';";					
	 				echo "</script>";
			     }
       }   
	 
	 ///////////////////////////// 	
	 if($accion=="M")
	   {        $vcod = $_REQUEST['idusuario'];
				$vusuario=$_REQUEST['usuario'];
				$estado=$_REQUEST['estado'];
				$vtipo=$_REQUEST['tipo'];
 				
				if($Objusu->Actualizar($vcod,$vusuario,$vtipo,$estado))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Usuario modificado correctamente');location.href ='../manusuario.php';";					
	 				echo "</script>";
					 					
		          }else{ echo "No se pudo modificar";}
				  
       } 
	 //////////////////////////////////////////////  
	  if($accion=="AC")
	   {        $vcod = $_REQUEST['idusuario'];
				$clave=$_REQUEST['clave'];
 				$ida=$_REQUEST['idafiliado'];
				if($Objusu->ActualizarClave($vcod,md5($clave)))	   
	   			{
				  echo "<script languaje=javascript>\n";
				  echo "alert('CLAVE ACTUALIZADA');location.href ='../miusuario.php?ida=$ida';";
				  echo "</script>";
			    }else{ echo "No se pudo modificar";}
				  
       }  
	   
	 if($accion=="RE")
	 {
	   $idu = $_REQUEST['idusuario'];
	   $clave = "1234";
	   if($Objusu->ActualizarClave($idu,md5($clave)))
	   {
	      echo "<script languaje=javascript>\n"; 
	 	  echo "alert('CLAVE ACTUALIZADA');location.href ='../manusuario.php';";					
	 	  echo "</script>";
	   }
	 }
	 
	 if($accion=="E")
	 { echo "entro aqui";
	   $idu = $_REQUEST['idusuario'];
	   if($Objusu->ActualizarEstado($idu,'BAJA'))
	   {
	      echo "<script languaje=javascript>\n"; 
	 	  echo "alert('USUARIO DADO DE BAJA');location.href ='../manusuario.php';";					
	 	  echo "</script>";
	   }
	 }
	
	 //////////////////////////////////////////////
	 
	 
	
			?>